WONDERLAND(1)

NAME
wonderland - explore the wonders of Display PostScript rendering

SYNOPSIS
wonderland [ -display name ][ -sync ][ -debug ]

DESCRIPTION

wonderland displays four objects in separate panels: a square, a Bezier curve, a text string, and a scanned image. Slider controls beneath each object let you adjust the color of each object, its size, rotation, and the gray shade of its background field.

OPTIONS

-display name
    specifies the display on which to open a connection to the Display PostScript System. If no display is specified, the DISPLAY environment variable is used.

-sync
    establishes a synchronous connection with the specified X display.

-debug
    turns on the debugging feature.

DIAGNOSTICS

Specifying the -debug option opens up a text context on stdout. All PostScript sent to the Display PostScript extension will be displayed on the screen.

FILES

The scanned image is a PostScript file. The full pathname of the PostScript file can be controlled by setting the Wonderland.imageFile resource in the applications defaults file Wonderland.ad.

If the pathname in the application defaults file does not describe a valid PostScript file, wonderland searches for a PostScript file in the install directory $LIBDIR/images/Wonderland.ps, where $LIBDIR is the X11 library directory. Typically, $LIBDIR is /usr/lib/X11, but it may be different at your site.

If no valid PostScript file can be found, wonderland displays the message Image not installed in color.

AUTHOR

Adobe Systems Incorporated

NOTES

PostScript and Display PostScript are trademarks of Adobe Systems Incorporated which may be registered in certain jurisdictions.

Copyright (c) 1994 Adobe Systems Incorporated. All rights reserved.